## libkf5incidenceeditor 18.08.3.1

=== debian/changelog ===
libkf5incidenceeditor (18.08.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:39:53 +0800
