## libkf5incidenceeditor 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.10.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.47.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -15,7 +15,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
@@ -23,23 +23,23 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
-include(ECMCoverageOption)
+
 
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.9.3")
-set(KDEPIM_LIB_VERSION "5.9.3")
+set(AKONADI_MIMELIB_VERSION "5.10.3")
+set(KDEPIM_LIB_VERSION "5.10.3")
 set(QT_REQUIRED_VERSION "5.9.0")
-set(KMIME_LIB_VERSION "5.9.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
-set(KLDAP_LIB_VERSION "5.9.3")
-set(CALENDARUTILS_LIB_VERSION "5.9.3")
-set(KCALENDARCORE_LIB_VERSION "5.9.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
-set(LIBKDEPIM_LIB_VERSION "5.9.3")
-set(EVENTVIEW_LIB_VERSION "5.9.3")
-set(AKONADI_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.10.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.10.3")
+set(KLDAP_LIB_VERSION "5.10.3")
+set(CALENDARUTILS_LIB_VERSION "5.10.3")
+set(KCALENDARCORE_LIB_VERSION "5.10.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.10.3")
+set(LIBKDEPIM_LIB_VERSION "5.10.3")
+set(EVENTVIEW_LIB_VERSION "5.10.3")
+set(AKONADI_VERSION "5.10.3")
 
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
@@ -77,10 +77,8 @@
 
 ########### Targets ###########
 
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")
