## libkf5incidenceeditor 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.10.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.11.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.51.0")
+set(KF5_MIN_VERSION "5.56.0")
 
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
 if (POLICY CMP0053)
@@ -28,18 +28,18 @@
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.10.3")
-set(KDEPIM_LIB_VERSION "5.10.3")
-set(QT_REQUIRED_VERSION "5.9.0")
-set(KMIME_LIB_VERSION "5.10.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.10.3")
-set(KLDAP_LIB_VERSION "5.10.3")
-set(CALENDARUTILS_LIB_VERSION "5.10.3")
-set(KCALENDARCORE_LIB_VERSION "5.10.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.10.3")
-set(LIBKDEPIM_LIB_VERSION "5.10.3")
-set(EVENTVIEW_LIB_VERSION "5.10.3")
-set(AKONADI_VERSION "5.10.3")
+set(AKONADI_MIMELIB_VERSION "5.11.3")
+set(KDEPIM_LIB_VERSION "5.11.3")
+set(QT_REQUIRED_VERSION "5.10.0")
+set(KMIME_LIB_VERSION "5.11.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
+set(KLDAP_LIB_VERSION "5.11.3")
+set(CALENDARUTILS_LIB_VERSION "5.11.3")
+set(KCALENDARCORE_LIB_VERSION "5.11.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.11.3")
+set(LIBKDEPIM_LIB_VERSION "5.11.3")
+set(EVENTVIEW_LIB_VERSION "5.11.3")
+set(AKONADI_VERSION "5.11.3")
 
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
@@ -47,14 +47,14 @@
 
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
-find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
@@ -78,7 +78,12 @@
 ########### Targets ###########
 
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
+if (${Qt5Widgets_VERSION} STRGREATER "5.13")
+   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
+else()
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")
 
@@ -102,9 +107,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 install( FILES incidenceeditor.categories incidenceeditor.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
+if (${KF5Config_VERSION} STRGREATER "5.56.0")
+        add_definitions(-DQT_NO_FOREACH)
+        MESSAGE(STATUS "compile without foreach")
+endif()
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -114,4 +121,5 @@
    add_subdirectory(tests)
 endif()
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
