## libkf5incidenceeditor 19.08.3

=== debian/changelog ===
libkf5incidenceeditor (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:06 +0100

libkf5incidenceeditor (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Remove breaks against kde-l10n packages.
  * Move incidenceeditor.categories files from libkf5incidenceeditor-bin
    -> libkf5incidenceeditor-data.
  * Update install files for new upstream release.
  * Remove not needed dependency for libkf5incidenceeditor-dev.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:22 +0100

libkf5incidenceeditor (18.08.3-5) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:44 +0100

libkf5incidenceeditor (18.08.3-4) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:23 +0200
