## libkf5incidenceeditor 20.08.1

=== debian/changelog ===
libkf5incidenceeditor (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:26 +0100

libkf5incidenceeditor (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated kdepimdbusinterfaces build dep.
  * New build depend on libkf5pimcommon-dev.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:30 +0100
